aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--configure1
-rwxr-xr-xscripts/make.sh7
2 files changed, 3 insertions, 5 deletions
diff --git a/configure b/configure
index 59a30dc6..21d56f38 100644
--- a/configure
+++ b/configure
@@ -16,7 +16,6 @@ CFLAGS="$CFLAGS -funsigned-char"
[ -z "$LDOPTIMIZE" ] && LDOPTIMIZE="-Wl,--gc-sections"
[ -z "$CC" ] && CC=cc
-[ -z "$STRIP" ] && STRIP=strip # set STRIP=no to skip stripping entirely
# If HOSTCC needs CFLAGS or LDFLAGS, just add them to the variable
# ala HOSTCC="blah-cc --static"
diff --git a/scripts/make.sh b/scripts/make.sh
index 9e4b83e9..4cb19272 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -268,11 +268,10 @@ done
[ $DONE -ne 0 ] && exit 1
do_loudly $BUILD $LFILES $LINK || exit 1
-if [ "$STRIP" == no ]
+if ! do_loudly ${CROSS_COMPILE}strip toybox_unstripped -o toybox
then
- mv toybox_unstripped toybox
-else
- do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
+ echo "strip failed, using unstripped" && cp toybox_unstripped toybox ||
+ exit 1
fi
# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
# its output the way SUSv4 suggests it do so.